# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "MASTER";
  name = "blog-gallery-${version}";

  src = fetchTarball {
    url = "https://gogs.prunetwork.fr/lothy/recette-cuisine/archive/master.tar.gz";
  };

  buildInputs = [ jekyll ];
  buildPhase = "jekyll build";
  installPhase = "cp -R _site \$out";
}
